package org.rcisoft;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.security.config.annotation.method.configuration.EnableGlobalMethodSecurity;
import org.mybatis.spring.annotation.MapperScan;

@SpringBootApplication(exclude= {DataSourceAutoConfiguration.class}, scanBasePackages = {"org.rcisoft"})
@EnableTransactionManagement
@EnableAspectJAutoProxy
@EnableScheduling
@EnableGlobalMethodSecurity(prePostEnabled = true)
@MapperScan(basePackages = {"org.rcisoft.**.dao"})
public class EntranceApiApplication {

    public static void main(String[] args) {
        SpringApplication.run(EntranceApiApplication.class, args);
    }

}
