package org.rcisoft.integration.jieLink.dto;

import lombok.Data;

/**
 * 捷顺门禁道闸上传对象
 *
 */
@Data
public class JieLinkDoorRecordDto {

    /**
     * <pre>
     *     门禁记录ID
     * </pre>
     */
    private String recordId;

    /**
     * <pre>
     *     访客对象
     * </pre>
     */
    private JieLinkPersonDto person;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * <pre>
     *     设备信息对象
     * </pre>
     */
    private JieLinkDeviceDto device;

    /**
     * <pre>
     *  访问卡类型
     * </pre>
     */
    private Integer cardType;

    /**
     * <pre>
     *     访问卡号
     * </pre>
     */
    private String cardNo;

    /**
     * <pre>
     *     访问时间
     * </pre>
     */
    private String crossTime;

    /**
     * 抓拍照片路径
     * 可访问类型
     */
    private String pictureFile;

    /**
     * <pre>
     *  记录类型
     *    0： 未知
     *    1： 正常记录
     *    2： 非法记录
     *    3： 报警记录
     * </pre>
     *
     */
    private Integer recordType;


    /**
     * <pre>
     *     门禁事件类型
     * 0： 未知
     * 1： 刷卡开门
     * 2： 按钮开门
     * 3： 远程开门
     * 8： 公共密码开门
     * 12： 个人密码开门
     * 16： 无效开门(无权限)
     * 98： 蓝牙开门
     * 99： APP 开门
     * 103： 二维码开门
     * 104： 人脸识别开门
     * 如果收到类型在不再以上范围之内， 则是捷顺内部使用类型， 第三方无需理会， 可当作未知或其它类型处理
     * </pre>
     *
     */
    private Integer eventType;

}
