package org.rcisoft.sys.attendance.controller;

import io.swagger.annotations.ApiOperation;
import org.rcisoft.core.anno.CyOpeLogAnno;
import org.rcisoft.core.constant.CyMessCons;
import org.rcisoft.core.controller.CyPaginationController;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.operlog.enums.CyLogTypeEnum;
import org.rcisoft.core.result.CyResult;
import org.rcisoft.core.util.CyResultGenUtil;
import org.rcisoft.sys.attendance.entity.Attendance;
import org.rcisoft.sys.attendance.service.AttendanceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/attendance")
public class AttendanceController extends CyPaginationController<Attendance> {

    @Autowired
    private AttendanceService attendanceService;

    @CyOpeLogAnno(title = "system-通行记录信息表管理-查询通行记录信息表", businessType = CyLogTypeEnum.QUERY)
    @ApiOperation(value = "查询通行记录信息表集合", notes = "查询通行记录信息表集合")
    @GetMapping(value = "/queryKQRecords")
    public CyResult queryKQRecords(Attendance attendance) {
        return CyResultGenUtil.builder(new CyPersistModel(1),
                CyMessCons.MESSAGE_ALERT_SUCCESS,
                CyMessCons.MESSAGE_ALERT_ERROR,
                attendanceService.findAll(attendance));
    }

    @CyOpeLogAnno(title = "system-通行记录信息表管理-查询全部通行记录信息表", businessType = CyLogTypeEnum.QUERY)
    @ApiOperation(value = "查询全部通行记录信息表集合", notes = "查询全部通行记录信息表集合")
    @GetMapping(value = "/queryKQRecordsBy")
    public CyResult queryKQRecordsBy(Attendance attendance, HttpServletRequest request) {
        return CyResultGenUtil.builder(new CyPersistModel(1),
                CyMessCons.MESSAGE_ALERT_SUCCESS,
                CyMessCons.MESSAGE_ALERT_ERROR,
                attendanceService.findAllBy(attendance,request));
    }
}
