package org.rcisoft.sys.attendance.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;

import cn.afterturn.easypoi.excel.annotation.Excel;
import org.rcisoft.core.entity.CyIdEntity;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableName;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;

/**
* Created with cy on 2022年11月28日 下午4:57:21.
*/
@Data
@TableName("attendance_sync")
public class AttendanceSync  extends CyIdEntity<AttendanceSync> {

     /**
      * 姓名
      */
     @Excel(name = "姓名", orderNum = "1", width = 20)
     private String name;

     private Integer userId;
    /**
     * @desc 手机号码
     * @column phone
     * @default
     */
    @Excel(name = "手机号码", orderNum = "1", width = 20)
    private String phone;

    /**
     * @desc 所属部门id
     * @column dept_id
     * @default
     */
    private String deptId;

     /**
     * @desc 所属部门中文
     * @column dept_label
     * @default
     */
     @Excel(name = "所属部门", orderNum = "3", width = 20)
     private String deptLabel;

     /**
     * @desc 职位
     * @column position
     * @default
     */
     private String position;

     /**
     * @desc 职位中文
     * @column position_label
     * @default
     */
     @Excel(name = "职位", orderNum = "4", width = 20)
     private String positionLabel;

     /**
     * @desc 上班时间
     * @column work_hours
     * @default
     */
    @Excel(name = "上班时间", orderNum = "6", width = 20)
    private String workHours;

     /**
     * @desc 下班时间
     * @column off_hours
     * @default
     */
     @Excel(name = "下班时间", orderNum = "6", width = 20)
     private String offHours;


    /**
     * @desc 上班打卡设备名称
     * @column work_device_name
     * @default
     */
    private String workDeviceName;

    /**
     * @desc 下班打卡设备名称
     * @column off_device_name
     * @default
     */
    private String offDeviceName;




    /**
     * @desc 考勤日期
     * @column date_of_attendance
     * @default
     */
     @Excel(name = "考勤日期", orderNum = "7", width = 20)
     private String dateOfAttendance;

     /**
     * @desc 在岗时长
     * @column time_on_job
     * @default
     */
     private BigDecimal timeOnJob;

    /**
     * 在岗时长中文
     */
    @Excel(name = "在岗时长", orderNum = "8", width = 20)
    @TableField(exist = false)
    private String timeOnJobLabel;
     /**
     * @desc 班次
     * @column nlt_bz
     * @default
     */
     private String nltBz;

     /**
     * @desc 班次中文
     * @column nlt_bz_label
     * @default
     */
     @Excel(name = "班次", orderNum = "9", width = 20)
     private String nltBzLabel;

    /**
     * @desc 通行时间
     * @column passage_time
     * @default
     */
    private Date passageTime;

     /**
      * 考勤状态
      */
     @Excel(name = "考勤状态", orderNum = "10", width = 20)
     private String flag;

     @TableField(exist = false)
     private String remarks;

     /**
      * 查询时，开始时间
      */
     @Transient
     @TableField(exist = false)
     @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
     private String beginDate;

     /**
      * 查询时，结束时间
      */
     @Transient
     @TableField(exist = false)
     @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
     private String endDate;

     /**(0-按按上班时间排序，1-按下班时间排序，2-按在岗时长排序)**/
     @Transient
     @TableField(exist = false)
     private String sort;

    /**
     * 标记异常 0异常、1非异常
     */
    private String abnormal;
}

