package org.rcisoft.sys.attendance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.sys.attendance.entity.AttendanceSync;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2022年11月28日 下午4:57:21.
 */
public interface AttendanceSyncService {

    /**
    * 保存 考勤同步表
    * @param attendanceSync
    * @return
    */
    CyPersistModel persist(AttendanceSync attendanceSync);

    /**
    * 删除 考勤同步表
    * @param attendanceSync
    * @return
    */
    CyPersistModel remove(AttendanceSync attendanceSync);
    /**
    * 逻辑删除 考勤同步表
    * @param attendanceSync
    * @return
    */
    CyPersistModel removeLogical(AttendanceSync attendanceSync);
    /**
    * 修改 考勤同步表
    * @param attendanceSync
    * @return
    */
    CyPersistModel merge(AttendanceSync attendanceSync);

    /**
    * 根据id查询 考勤同步表
    * @param businessId
    * @return
    */
    AttendanceSync findById(Integer businessId);

    /**
    * 分页查询 考勤同步表
    * @param attendanceSync
    * @return
    */
    IPage<AttendanceSync> findAllByPagination(CyPageInfo<AttendanceSync> paginationUtility,
              AttendanceSync attendanceSync);


    /**
    * 查询list 考勤同步表
    * @param attendanceSync
    * @return
    */
    List<AttendanceSync> findAll(AttendanceSync attendanceSync);


    /**
    * 导出考勤同步表
    * @return
    */
    List<AttendanceSync> export(AttendanceSync attendanceSync);

}
