package org.rcisoft.sys.ossinfo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.sys.ossinfo.entity.OssInfo;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.model.CyPageInfo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * Created by cy on 2022年11月21日 上午11:18:04.
 */
public interface OssInfoService {

    /**
    * 保存 文件存储表
    * @param ossInfo
    * @return
    */
    CyPersistModel persist(OssInfo ossInfo);

    /**
    * 删除 文件存储表
    * @param ossInfo
    * @return
    */
    CyPersistModel remove(OssInfo ossInfo);
    /**
    * 修改 文件存储表
    * @param ossInfo
    * @return
    */
    CyPersistModel merge(OssInfo ossInfo);

    /**
    * 根据id查询 文件存储表
    * @param id
    * @return
    */
    OssInfo findById(int id);

    /**
    * 分页查询 文件存储表
    * @param ossInfo
    * @return
    */
    IPage<OssInfo> findAllByPagination(CyPageInfo<OssInfo> paginationUtility,
              OssInfo ossInfo);


    /**
    * 查询list 文件存储表
    * @param ossInfo
    * @return
    */
    List<OssInfo> findAll(OssInfo ossInfo);


    /**
    * 导出文件存储表
    * @return
    */
    List<OssInfo> export(OssInfo ossInfo);

    OssInfo filePath(MultipartFile file, String temp);
}
