package org.rcisoft.sys.sysuser.dao;


import org.apache.ibatis.annotations.Mapper;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.sys.attendance.entity.Attendance;
import org.rcisoft.sys.sysuser.entity.DoorRecord;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * Created with cy on 2022年11月24日 下午12:47:46.
 */
@Mapper
public interface DoorRecordRepository extends CyBaseMapper<DoorRecord> {


    List<DoorRecord> queryDoorRecords(@Param("entity") DoorRecord doorRecord);

    /**
     * 分页查询 doorRecord
     */
    IPage<DoorRecord> queryDoorRecordsPaged(CyPageInfo cyPageInfo, @Param("entity") DoorRecord doorRecord);

    //单个查询
    DoorRecord queryDoorRecordById(String recordId);

    int updateDoorRecordById(DoorRecord doorRecord);

    /**
     * 查询时间范围内员工的正常记录集合
     *
     * @param attendance
     * @return
     */
    List<DoorRecord> queryAttendance(@Param("attendance") Attendance attendance);

    List<DoorRecord> queryAttendance2(@Param("attendance") Attendance attendance);

    List<DoorRecord> queryDoorRecordByUserIdOrderBy(Integer userId);
}

