package org.rcisoft.sys.sysuser.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.sys.sysuser.entity.SysUser;


@Data
public class ExportUserDTO extends CyIdIncreEntity<SysUser> {

    @JSONField(serialize = false)
//    @ApiModelProperty(name = "username", value = "登录名", required = true, dataType = "varchar")
//    @Excel(name = "登录名", orderNum = "1", width = 15.0)
    private String username;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "name", value = "用户姓名", required = true, dataType = "varchar")
    @Excel(name = "用户姓名", orderNum = "1", width = 15.0)
    private String name;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "sex", value = "用户性别（0男 1女 2未知）", required = true, dataType = "varchar")
    @Excel(name = "用户性别", orderNum = "1", width = 15.0)
    private String sex;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "phone", value = "手机号码", required = true, dataType = "varchar")
    @Excel(name = "手机号码", orderNum = "1", width = 15.0)
    private String phone;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "faceAddress", value = "人脸信息（可能第三方图片数据）", required = true, dataType = "varchar")
    @Excel(name = "人脸信息", orderNum = "1", width = 15.0)
    private String faceAddress;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "address", value = "所属园区", required = true, dataType = "varchar")
    @Excel(name = "所属园区", orderNum = "1", width = 15.0)
    private String address;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "deptId", value = "所属部门id", required = true, dataType = "varchar")
    @Excel(name = "所属部门", orderNum = "1", width = 15.0)
    private String deptId;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "position", value = "职位（暂时数据字典，可能多个）", required = true, dataType = "varchar")
    @Excel(name = "职位", orderNum = "1", width = 15.0)
    private String position;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "nltBz", value = "班次", required = true, dataType = "varchar")
    @Excel(name = "班次", orderNum = "1", width = 15.0)
    private String nltBz;

    @JSONField(serialize = false)
    @ApiModelProperty(name = "flag", value = "工作状态", required = true, dataType = "varchar")
    @Excel(name = "工作状态", orderNum = "1", width = 15.0)
    private String flag;


    //     // 用户类型（0内部员工 1外部访客）
//    @Excel(name = "用户类型（0内部员工 1外部访客）", orderNum = "2", width = 20)
    private String userType;

    private String identity;
}
