package org.rcisoft.sys.sysuser.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;

import cn.afterturn.easypoi.excel.annotation.Excel;
import org.rcisoft.core.entity.CyIdEntity;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableName;
import org.springframework.data.annotation.Transient;

/**
 * Created with cy on 2022年11月24日 下午12:47:46.
 */
@Data
@TableName("door_record")
public class DoorRecord extends CyIdEntity<DoorRecord> {


    @Excel(name = "通行人员姓名", orderNum = "1", width = 20)
    //通行人员姓名
    private String name;

    //排序
    @Transient
    private String px;

    /**
     * 开始时间
     */
    @Transient
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String beginTime;

    //结束时间
    @Transient
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String endTime;

    //登记方式
    @Transient
    private String deviceIoType;


    //登记日期
    @Transient
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "登记日期", orderNum = "3", width = 20)
    private String date;

    //登记时间
    @Transient
    @JsonFormat(pattern = "HH:mm", timezone = "GMT+8")
    @Excel(name = "登记时间", orderNum = "4", width = 20)
    private String time;

    //通行人员身份
    @Transient
    private String userType;

    /**
     * @desc 记录主键
     * @column record_id
     * @default
     */
    private String recordId;

    /**
     * @desc 系统内部用户主键id
     * @column user_id
     * @default
     */
    private Integer userId;

    /**
     * @desc 通行人唯一标识
     * @column person_id
     * @default
     */
    private String personId;

    /**
     * @desc 手机号码
     * @column mobile
     * @default
     */
    private String mobile;

    /**
     * @desc 人员身份(0内部员工 1外部访客)
     * @column tenement_type
     * @default
     */
    @Excel(name = "通行人员身份", orderNum = "2", width = 20)
    private String tenementType;

    /**
     * @desc 备注信息
     * @column remark
     * @default
     */
    private String remark;

    /**
     * @desc 设备id
     * @column device_id
     * @default
     */
    private String deviceId;

    /**
     * @desc 设备名称
     * @column device_name
     * @default
     */
    @Excel(name = "登记设备", orderNum = "6", width = 20)
    private String deviceName;

    /**
     * @desc 闸门类型(判断进口还是出口 ， 1 ： 进口 2 ： 出口)
     * @column device_type
     * @default
     */
    @Excel(name = "登记状态", orderNum = "5", width = 20)
    private String deviceType;

    /**
     * @desc 凭证类型(数据字典)
     * @column card_type
     * @default
     */
    @Excel(name = "登记方式", orderNum = "7", width = 20)
    private String cardType;

    /**
     * @desc 凭证类型中文
     * @column card_type_label
     * @default
     */
//    @Excel(name = "登记方式", orderNum = "7", width = 20)
    private String cardTypeLabel;

    /**
     * @desc 卡号
     * @column card_no
     * @default
     */
    private String cardNo;

    /**
     * @desc 触发时间(根据触发时间按年分表)
     * @column cross_time
     * @default
     */
    private Date crossTime;

    /**
     * @desc 记录类型 0：未知 1：正常记录 2：非法记录 3：报警记录
     * @column record_type
     * @default
     */
    @Excel(name = "登记结果", orderNum = "8", width = 20)
    private String recordType;

    /**
     * @desc 门禁事件类型(数据字典)
     * @column event_type
     * @default
     */
    private String eventType;

    /**
     * @desc 标记异常（0 异常 1非异常）
     * @column abnormal
     * @default
     */
    private String abnormal;

    // 班次label
    @Transient
    private String nltBz;

    // 班次value
    @Transient
    private String shift;

    // 职位
    @Transient
    private String positionName;

    // 部门名称
    @Transient
    private String deptName;

}

