package org.rcisoft.sys.sysuser.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.sys.rbac.user.dto.ImportUserDTO;
import org.rcisoft.sys.sysuser.dto.ExportUserDTO;
import org.rcisoft.sys.sysuser.entity.SysUser;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * Created by cy on 2022年11月16日 下午3:19:19.
 */
@Service
public interface SysUserService {


    /**
    * 保存 用户表
    * @param sysUser
    * @return
    */
    CyPersistModel persist(SysUser sysUser);

    /**
    * 删除 用户表
    * @param sysUser
    * @return
    */
    CyPersistModel remove(SysUser sysUser);
    /**
    * 逻辑删除 用户表
    * @param sysUser
    * @return
    */
    CyPersistModel removeLogical(SysUser sysUser);
    /**
    * 修改 用户表
    * @param sysUser
    * @return
    */
    CyPersistModel merge(SysUser sysUser);

    /**
    * 根据id查询 用户表
    * @param businessId
    * @return
    */
    SysUser findById(Integer businessId);


    /**
    * 分页查询 用户表
    * @param sysUser
    * @return
    */
    IPage<SysUser> findAllByPagination(CyPageInfo<SysUser> paginationUtility,
              SysUser sysUser);


    /**
    * 查询list 用户表
    * @param sysUser
    * @return
    */
    List<SysUser> findAll(SysUser sysUser);

    List<SysUser> getList();

    SysUser getUserById(Integer id);

    //查询字典
    List<SysUser> findAllByData(SysUser sysUser);

    //查询部门
    List<SysUser> findAllByDept(SysUser sysUser);

    /**
    * 导出用户表
    * @return
    */
    List<SysUser> export(SysUser sysUser);

    int importSysUsers(List<ExportUserDTO> exportUserDTOS);


    int exportEmptyTemplate(HttpServletResponse response);

    ImportUserDTO importUserExcel(MultipartFile file);


    /**
     * 保存捷顺系统中的用户ID
     * @param persionId
     * @param userId
     * @return
     */
    boolean saveJieLinkId(String persionId,Integer userId);

    /**
     * 根据用户ID换捷顺系统的用户ID
     * @param userId
     * @return
     */
    public String getPersionIdByUserId(Integer userId);

    /**
     * 根据捷顺系统的用户ID获取用户对象
     * @param personId
     * @return
     */
    public SysUser getUserDataByPersonId(String personId);

}
