package org.rcisoft.sys.visit.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class ExportVisitInfomation {
    /**
     * @desc 邀请人id(员工id)
     * @column user_id
     * @default
     */
    @Excel(name = "邀请人id(员工id)", orderNum = "0", width = 20)
    private Integer userId;

    /**
     * @desc 发起人姓名
     * @column user_name
     * @default
     */
    @Excel(name = "邀请人姓名", orderNum = "1", width = 20)
    private String userName;

    /**
     * @desc 发起人所属部门
     * @column dept_name
     * @default
     */
    @Excel(name = "邀请人所属部门", orderNum = "2", width = 20)
    private String deptName;

    /**
     * @desc 发起人职务
     * @column post_name
     * @default
     */
    @Excel(name = "邀请人职务", orderNum = "3", width = 20)
    private String postName;

    /**
     * @desc 访问事由
     * @column visit_reason
     * @default
     */
    @Excel(name = "访问事由", orderNum = "4", width = 20)
    private String visitReason;

    /**
     * @desc 其他访问事由
     * @column visit_reason_other
     * @default
     */
    @Excel(name = "其他访问事由", orderNum = "4", width = 20)
    private String visitReasonOther;

    /**
     * @desc 访问区域
     * @column visit_region
     * @default
     */
    @Excel(name = "访问区域", orderNum = "5", width = 20)
    private String visitRegion;

    /**
     * @desc 访问日期
     * @column visit_date
     * @default
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "访问日期", orderNum = "6", width = 20,exportFormat = "yyyy-MM-dd")
    private Date visitDate;

    /**
     * @desc 访问时间
     * @column visit_time
     * @default
     */
    @Excel(name = "访问时间", orderNum = "7", width = 20)
    private String visitTime;
}
